﻿<Window xmlns:Views="clr-namespace:Tkachenko.Roman.TaxiCity.UI.Views"  x:Class="Tkachenko.Roman.TaxiCity.UI.MainWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:Tkachenko.Roman.TaxiCity.UI"
        xmlns:Convertors="clr-namespace:Tkachenko.Roman.TaxiCity.UI.Converters"
        xmlns:vm="clr-namespace:Tkachenko.Roman.TaxiCity.UI.ViewModels"
        mc:Ignorable="d"
        Title="MainWindow" Height="450" Width="800">
    <Window.Resources>
        <Convertors:TabVisibilityConverter x:Key="my:TabVisibilityConvertor"></Convertors:TabVisibilityConverter>
        <Convertors:InequalityConverter x:Key="my:InequalityConverter"></Convertors:InequalityConverter>
    </Window.Resources>
    <Window.DataContext>
        <vm:MainViewModel/>
    </Window.DataContext>
    <Grid>
        <Grid.RowDefinitions>
            <RowDefinition Height="Auto"/>
            <RowDefinition Height="*"/>
        </Grid.RowDefinitions>
        <Grid Grid.Row="0">
            <Grid.ColumnDefinitions>
                <ColumnDefinition Width="1*"/>
                <ColumnDefinition Width="1*"/>
                <ColumnDefinition Width="1*"/>
            </Grid.ColumnDefinitions>
            <Button Grid.Column="0" Content="Customers" Height="25" Command="{ Binding SetVisibleTab }" CommandParameter="Customers"
                    IsEnabled="{ Binding Path=VisibleTab, 
                    Converter={ StaticResource my:InequalityConverter }, 
                    ConverterParameter=Customers }"/>
            <Button Grid.Column="1" Content="Drivers"   Height="25" Command="{ Binding SetVisibleTab }" CommandParameter="Drivers"
                    IsEnabled="{ Binding Path=VisibleTab, 
                    Converter={ StaticResource my:InequalityConverter }, 
                    ConverterParameter=Drivers }"/>
            <Button Grid.Column="2" Content="History"   Height="25" Command="{ Binding SetVisibleTab }" CommandParameter="Rides"
                    IsEnabled="{ Binding Path=VisibleTab, 
                    Converter={ StaticResource my:InequalityConverter }, 
                    ConverterParameter=Rides }"/>
        </Grid>
        <StackPanel Grid.Row="1">
            <Views:CustomersUserControl 
                Visibility="{ Binding Path=VisibleTab, 
                    Converter={ StaticResource my:TabVisibilityConvertor }, 
                    ConverterParameter=Customers }"
                Height="{Binding RelativeSource={RelativeSource FindAncestor, 
                    AncestorType={x:Type StackPanel}}, Path=ActualHeight}"/>
            <Views:DriversUserControl 
                Visibility="{ Binding Path=VisibleTab, 
                    Converter={ StaticResource my:TabVisibilityConvertor }, 
                    ConverterParameter=Drivers }" 
                Height="{Binding RelativeSource={RelativeSource FindAncestor, 
                    AncestorType={x:Type StackPanel}}, Path=ActualHeight}"/>
            <Views:RidesUserControl 
                Visibility="{ Binding Path=VisibleTab,
                    Converter={ StaticResource my:TabVisibilityConvertor }, 
                    ConverterParameter=Rides }" 
                Height="{Binding RelativeSource={RelativeSource FindAncestor, 
                    AncestorType={x:Type StackPanel}}, Path=ActualHeight}"/>
        </StackPanel>
    </Grid>
</Window>
